package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 巡检消息通知类型
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum InspectionMessageTypeEnum {
    /**
     *
     */
    MESSAGE_TYPE_REPORT_YEAR_PLAN("0", "年计划上报"),
    MESSAGE_TYPE_REPORT_MONTHLY_PLAN("1", "月计划上报"),
    MESSAGE_TYPE_REPORT_HIDDEN_TROUBLE("2", "隐患上报"),
    MESSAGE_TYPE_REPORT_HIDDEN_TROUBLE_ELIMINATION("3", "隐患消除上报"),
    MESSAGE_TYPE_REPORT_CONSTRUCTION_SITE("4", "工地上报"),
    MESSAGE_TYPE_REPORT_CONSTRUCTION_SITE_ELIMINATION("5", "工地监护消除上报"),
    MESSAGE_TYPE_AUDIT_YEAR_PLAN("00", "年计划审核"),
    MESSAGE_TYPE_AUDIT_MONTHLY_PLAN("01", "月计划审核"),
    MESSAGE_TYPE_AUDIT_HIDDEN_TROUBLE("02", "隐患审核"),
    MESSAGE_TYPE_AUDIT_HIDDEN_TROUBLE_ELIMINATION("03", "隐患消除审核"),
    MESSAGE_TYPE_AUDIT_CONSTRUCTION_SITE("04", "工地审核"),
    MESSAGE_TYPE_AUDIT_CONSTRUCTION_SITE_ELIMINATION("05", "工地监护消除审核"),
    MESSAGE_TYPE_MONTHLY_PLAN_PATROL_INSPECTION_TASK_PLAN("0001","月计划生成的巡检任务"),
    MESSAGE_TYPE_HIDDEN_TROUBLE_PATROL_INSPECTION_TASK_PLAN("0002","隐患生成的巡检任务"),
    MESSAGE_TYPE_CONSTRUCTION_SITE_PATROL_INSPECTION_TASK_PLAN("0004","工地生成的巡检任务"),
    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;
}
